Skip to content
View in Postman (opens in new tab)

Update dashboard user account

put

/scim/v2/Users/{id}

Use this endpoint to update an existing dashboard user account by specifying the resource id returned by the SCIM POST method.

It allows you to update of given and family names, permissions (for setting permissions at the company, workspace, and team level) and department.

For security reasons, userName (email address) cannot be updated through this endpoint. If you want to change the userName (email address) for a user, contact Support.

You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!